#ifndef AIRCONTROLPOINT_H
#define AIRCONTROLPOINT_H

#include <QMainWindow>
#include <BRisa/BrisaUpnp/BrisaControlPoint>
#define DEVICE_TYPE  "urn:schemas-upnp-org:device:AirDevice:1"
#define SERVICE_TYPE "urn:schemas-upnp-org:service:AirActions:1"

using namespace BrisaUpnp;

namespace Ui {
   class AirControlPoint;
}

class AirControlPoint : public QMainWindow {
   Q_OBJECT
public:
   AirControlPoint(QWidget *parent = 0);
   ~AirControlPoint();

protected:
   void changeEvent(QEvent *e);

private:
   Ui::AirControlPoint *ui;
   bool on;
   bool setTime;
   QList<BrisaControlPointDevice *> airDevices;
   BrisaControlPoint *airControlPoint;

   void changeStatus(BrisaControlPointDevice *c, bool status);
   void changeTemperaturechangeTemperature(BrisaControlPointDevice *l,QString name);
   void addAirDevice(BrisaControlPointDevice *air);
   void restart();
   BrisaControlPointDevice *getDeviceByUDN(QString udn);
   QString removeFromList(QString udn);

private slots:
   void onNewDevice(BrisaControlPointDevice *c);
   void onRemovedDevice(QString Udn);
   void receiveDeviceResponse(BrisaOutArgument response, QString method);

   void on_li_devices_clicked(QModelIndex index);
   void on_bt_change_temperature_clicked();
   void on_bt_get_status_clicked();
   void on_bt_change_status_clicked();
   void decrementTime();
};

#endif //ARCONTROLPOINT_H